## bamf 0.2.104

=== debian/changelog ===
bamf (0.2.104-1) unstable; urgency=low

  [ Didier Roche ]
  * Initial upload to Debian. Package grabbed from Ubuntu,
    we'll keep this package in sync within the two
    distributions.
  * debian/control:
    - removed gir's package for now, still not building 
      correctly.

  [ Andrea Veri ]
  * debian/control:
    - changed Maintainer accordingly.
    - added myself into uploaders.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 21 Nov 2011 10:56:21 +0100

bamf (0.2.104-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Hopefully really fix unity confused with chrome (not chromium) web apps
      (LP: #692462)
    - Fix to build with gtk2 version

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 13:51:22 +0200

bamf (0.2.100-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fix unity confused with chrome web apps (LP: #692462)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2011 15:15:28 +0200

bamf (0.2.98-0ubuntu2) oneiric; urgency=low

  * Cherry-pick a crasher fix:
    - bamfdaemon crashed with SIGSEGV in sn_xcb_display_new()

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 15:54:20 +0200

bamf (0.2.98-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Bamf doesn't recognize just installed applications (LP: #676593)
  * debian/control:
    - update Standards-Version

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Sep 2011 20:09:28 +0200

bamf (0.2.96-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2011 17:44:16 +0200

bamf (0.2.94-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - no more dependency on the gio ubuntu patch, use the upstream system now
      (LP: #687683)
  * debian/rules:
    - the new tests depends on a X server, desactivate them when building on
      buildd
  * debian/bamfdaemon.install:
    - do not install the gio module as it's not built anymore

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Aug 2011 14:56:07 +0200

bamf (0.2.92-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control, debian/rules:
    - Add libbamf3-0 and libbamf3-dev packages for GTK+ 3

 -- Michael Terry <mterry@ubuntu.com>  Fri, 17 Jun 2011 12:19:14 -0400

bamf (0.2.90-0ubuntu3) natty-proposed; urgency=low

  * Cherry-pick from upstream:
    - System Testing and Printers don't display proper menus when launched by
      command line (LP: #717134)
    - Unity Min,Max,Close buttons not available in Libreoffice when opened by
      double-clicking a file (LP: #728927)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Apr 2011 17:07:18 +0200

bamf (0.2.90-0ubuntu2) natty; urgency=low

  * Cherry-pick from upstream:
    - Thunderbird won't stay in launcher and no quicklist (LP: #765736)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Apr 2011 18:07:49 +0200

bamf (0.2.90-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz assert failure: *** glibc detected *** compiz: double free or
      corruption (out): 0x0a1c5a38 *** (LP: #761372)
    - "Authenticate" window shows in launcher as "Polkit-gnome-authentication-
      agent-1" (LP: #740844)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Apr 2011 19:09:34 +0200

bamf (0.2.86-0ubuntu3) natty; urgency=low

  * Cherry-pick a crash fix in unity with double free corruption (LP: #761372)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Apr 2011 12:49:24 +0200

bamf (0.2.86-0ubuntu2) natty; urgency=low

  * Trunk commit r358, really fixes the crash bug listed before (lp: #754225)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Apr 2011 22:19:24 +0200

bamf (0.2.86-0ubuntu1) natty; urgency=low

  * New upstream release.
    - bamfdaemon crashed with SIGABRT in dbus_g_connection_register_g_object()
      (LP: #752137)
    - bamfdaemon crashed with SIGABRT in dbus_g_connection_register_g_object()
      (LP: #754225)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Apr 2011 12:41:48 +0200

bamf (0.2.84-0ubuntu2) natty; urgency=low

  * Move the giomodule DSO back to /usr/lib/gio/modules, because something
    we haven't identified yet refuses to see it when it's installed to the
    multiarch path.  LP: #751025

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Apr 2011 23:54:53 +0000

bamf (0.2.84-0ubuntu1) natty; urgency=low

  * New upstream release.
    - unity-panel-service crashed with SIGSEGV in bamf_factory_view_for_path()
      (LP: #717684)
    - bamfdaemon crashed with SIGABRT in dbus_g_connection_register_g_object()
      (LP: #739218)
    - compiz crashed with SIGSEGV in g_utf8_validate() (LP: #736792)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Apr 2011 17:17:54 +0200

bamf (0.2.82-0ubuntu1) natty; urgency=low

  * New upstream release.
    - bamfdaemon crashed with SIGSEGV in XInternAtom() (LP: #743407)
    - catch more cases for 'Keep in Launcher' by recognizing StatupWMClass
      from .desktop file (LP: #693231)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Apr 2011 11:17:17 +0200

bamf (0.2.80-0ubuntu2) natty; urgency=low

  * Fix a FTBFS with current libglib2.0 due to the giomodules path changing
    for multiarch.
  * As long as we're in here, multiarch the whole package; bamf has no
    reverse-depends, so there's no risk of causing other build failures, and
    moving the giomodules takes us halfway there anyway.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Mar 2011 19:50:12 +0000

bamf (0.2.80-0ubuntu1) natty; urgency=low

  * New upstream release.
    - 'Keep in launcher' item missing for some applications (LP: #657771)
    - can't pin KTouch to the launcher (LP: #693755)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Mar 2011 17:51:00 +0100

bamf (0.2.78-0ubuntu1) natty; urgency=low

  * New upstream release:
    - adapt bamf to LibreOffice (LP: #705461)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 10 Feb 2011 17:59:34 +0100

bamf (0.2.76-0ubuntu1) natty; urgency=low

  * New upstream release.

