=== debian/control ===
Source: bamf
Section: libs
Priority: optional
Maintainer: Didier Roche <didrocks@ubuntu.com>
Uploaders: Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 8.1.2ubuntu2),
               cdbs (>= 0.4.90ubuntu9),
               libglib2.0-dev (>= 2.23.0-1ubuntu3~),
               libwnck-dev,
               libwnck-3-dev,
               libgtop2-dev,
               libgtk2.0-dev (>= 2.12.0),
               libgtk-3-dev (>= 3.0.0),
               libdbus-glib-1-dev,
               gtk-doc-tools,
               gobject-introspection (>= 0.6.5-3),
               libgirepository1.0-dev,
               gir1.2-atk-1.0,
               gir1.2-glib-2.0,
               gir1.2-gtk-2.0 (>= 2.19.5),
               gir1.2-gtk-3.0 (>= 3.0.0),
               gir1.2-pango-1.0,
               gir1.2-wnck-3.0,
Standards-Version: 3.9.2
Homepage: https://launchpad.net/bamf
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/bamf/ubuntu

Package: bamfdaemon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Multi-Arch: foreign
Description: Window matching library - daemon
 bamf matches application windows to desktop files
 .
 This package contains the daemon used by the library and a gio
 module that facilitates the matching of applications started
 through GDesktopAppInfo

Package: libbamf0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         bamfdaemon (= ${binary:Version}),
Breaks: unity (<< 3.2.12)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Window matching library - shared library
 bamf matches application windows to desktop files
 .
 This package contains shared libraries to be used by applications.

Package: libbamf3-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         bamfdaemon (= ${binary:Version}),
Breaks: unity (<< 3.2.12)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Window matching library - shared library
 bamf matches application windows to desktop files
 .
 This package contains shared libraries to be used by applications.

Package: libbamf-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbamf0 (= ${binary:Version}),
         libwnck-dev,
         libglib2.0-dev (>= 2.23.0-1ubuntu3~),
Suggests: libbamf-doc
Description: Window matching library - development files
 bamf matches application windows to desktop files
 .
 This package contains files that are needed to build applications.

Package: libbamf3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbamf3-0 (= ${binary:Version}),
         libwnck-3-dev,
         libglib2.0-dev (>= 2.23.0-1ubuntu3~),
Suggests: libbamf-doc
Description: Window matching library - development files
 bamf matches application windows to desktop files
 .
 This package contains files that are needed to build applications.

Package: libbamf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Window matching library - documentation
 bamf matches application windows to desktop files
 .
 This package contains the daemon used by the library and a gio
 module that facilitates the matching of applications started
 through GDesktopAppInfo
 .
 This package contains the documentation

Package: bamf-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbamf0 (= ${binary:Version}),
         libbamf3-0 (= ${binary:Version}),
Multi-Arch: same
Description: Window matching library - debugging symbols
 bamf matches application windows to desktop files
 .
 This package contains the daemon used by the library and a gio
 module that facilitates the matching of applications started
 through GDesktopAppInfo
 .
 This package contains debugging symbols for the daemon and library.
