## bamf 0.5.3

=== debian/changelog ===
bamf (0.5.3-2) unstable; urgency=medium

  * debian/control:
    + Re-add to Uploaders: field: Didier Roche. Erroneously removed in a previous upload.
    + Remove Andrea Veri from Uploaders: on self-request. (Closes: #827976).
  * debian/{bamfdaemon.dirs,bamfdaemon.postrm}:
    + Add /usr/share/applications/ as dpkg-managed directory.
    + Don't mess with /usr/share/applications manually. (Closes: #683757).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Dec 2016 10:29:55 +0100

bamf (0.5.3-1) unstable; urgency=medium

  * Re-upload to unstable.
  * debian/patches:
    + Add 2003_allow-gtk3-deprecated-symbols.patch. Tolerate deprecation
      warnings from GTK3. Prevent FTBFS against GTK 3.22.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Nov 2016 10:14:29 +0100

bamf (0.5.3-1~exp2) experimental; urgency=medium

  * debian/control:
    + Add to B-D: mate-common.
    + Drop B-D on dbus-x11, rather versioned build-depend on dbus (>= 1.8).
  * debian/patches:
    + Add 2001_build-using-mate-common.patch. Build using mate-common instead
      of gnome-common. (Closes: #829799).
    + Add 2002_use-dbus-run-session-instead-of-dbus-launch.patch. Use
      dbus-run-session in favour of dbus-launch in unit tests. (Closes: 836081).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Oct 2016 11:46:36 +0200

bamf (0.5.3-1~exp1) experimental; urgency=medium

  [ Mike Gabriel ]
  * New upstream release. (Closes: #776146).
    - Resolves FTBFS in previous Debian package version. (Closes: #826450).
  * debian/control:
    + Debian's MATE Packaging Team becomes new maintiner of bamf.
      (Closes: #779565).
    + Set Vcs-*: fields to pkg-mate namespace on Alioth.
    + Use secure URLs for Vcs-*: field.
    + Bump Standards: to 3.9.8.
    + Improve wording of LONG_DESCRIPTION fields.
    + Remove from Uploaders: field: Didier Roche on self-request. (Closes:
      #827976).
  * debian/{control,rules}:
    + Split-up debug packages to provide proper multi-arch same bin:packages
      for the library part of bamf.
    + Stop using autoreconf, simply run autogen.sh at configure time. (Closes:
      #746324).
    + Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.
  * debian/source/format:
    + Switch to format 3.0 (quilt).
  * debian/rules:
    + Add get-orig-source rule.
    + Create orig tarball in ../ rather then CURDIR.
    + Enable all hardening flags.
    + Fix detection of PKD variable.
  * debian/*.install:
    + Don't prepend debian/tmp/ in *.install files.
    + Install systemd and upstart service/conf files into bin:pkg bamfdaemon.
  * debian/bamfdaemon.post*:
    + Tabify indentation.
  * debian/bamfdaemon.postinst:
    + Remove old bamf.index file from /usr/share/applications/.
  * debian/bamfdaemon.postrm:
    + Attempt removal of /usr/share/applications/ (if empty). (Closes: #683757).
      Also remove bamf-2.index (not bamf.index) from /usr/share/applications.
  * debian/copyright:
    + Switch to DEP-5 machine-readable copyright file.
    + Add autogenerated copyright.in template.
    + Finalize for release. Drop references to build cruft files stemming from
      autoconf and autotools.
  * debian/libbamf3-2.symbols:
    + Update symbols for this upstream release.
  * debian/patches:
    + Cherry-pick rev649 from bzr-upstream:
      0001_allow-colon-separated-values-in-XDG-CURRENT-DESKTOP.patch. Adjust for
      XDG_CURRENT_DESKTOP containing multiple colon-separated values.

  [ Rico Tzschichholz ]
  * Apply "wrap-and-sort -ta".
  * debian/rules:
    + Fix gir-package reference.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2016 13:57:13 +0200

bamf (0.2.118-1) unstable; urgency=low

  * Backport latest release to debian
  * debian/control:
    - bump Standards-Version to latest
    - remove build-dep only used for unit tests
    - replace the gtk2 variant of the wnck introspection gir package with 
      gtk3 one
    - ensure the gtk2/gtk3 version doesn't have the same description
  * debian/*.symbols:
    - adding some PRIVATE symbols to make lintian happy. We saw that bamf
      is exporting by error some of its private symbols. This will be fixed
      in next released (and so the symbols will be removed from the .symbols
      files)
  * debian/rules:
    - add hardening flags (thanks Andrea)
  * debian/sources/format:
    - added to specify we use format 1.0

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Jun 2012 11:51:11 +0200

bamf (0.2.118-0ubuntu1) quantal; urgency=low

  [ Didier Roche ]
  * New upstream release. (0.2.116)
    - multiple instances or double icons of application detected on bamfdaemon
      respawn (LP: #928912)
    - unity confused with chrome/chromium web apps (LP: #692462)
    - BamfView's dispose() method doesn't invoke the superclass' dispose()
      (LP: #986888)
  * debian/control:
    - remove Multi-Arch: same for the -dbg package
      (Closes: #669980, #658057)

  [ Alan Pope ]
  * New upstream release.
    - Unity crashed in bamf_application_on_window_removed (LP: #1000577)
    - Locked smuxi launcher icon does not indicate smuxi running status
      (LP: #999820)
    - No launcher icon or Alt+Tab entry for Gimp windows (LP: #995916)
    - the RunningApplicationsChanged signal is no longer emitted when an 
      application is closed since r460 (LP: #989551)

 -- Alan Pope <popey@ubuntu.com>  Wed, 23 May 2012 09:10:08 +0100

bamf (0.2.114-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - invalid valgrind read errors (LP: #929468)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Mar 2012 14:16:41 +0100

bamf (0.2.112-0ubuntu1) precise; urgency=low

  * New upstream release.
    - bamf matcher messes up refcounting on views (LP: #942070)
    - Chromium is running, but not showing in launcher or alt-tab. 
      (LP: #918474)
    - libbamf leaks memory on view dispose (LP: #942148)
    - Coverity PW.PARAMETER_HIDDEN - CID 10449 (LP: #937398)

