=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: Makefile; indent-tabs-mode: t -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))

DHFLAGS = --parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS) --with gir

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- --enable-introspection=yes \
	                     --enable-gtk-doc \
	                     --enable-headless-tests \
	                     --disable-silent-rules

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib -name \*.la -exec rm {} \;
	find debian/tmp/usr/lib -name \*.a -exec rm {} \;

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --package=bamfdaemon --dbgsym-migration='bamfdaemon-dbg (<< 0.5.3-1~)'
	dh_strip --package=libbamf3-2 --dbgsym-migration='libbamf3-dbg (<< 0.5.3-1~)'

override_dh_girepository:
	dh_girepository -pgir1.2-bamf-3

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=../ --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
