=== debian/watch ===
version=3
https://launchpad.net/bamf/+download .*/bamf-([0-9.]+)\.tar\.gz
