## bamf 0.5.4

=== debian/changelog ===
bamf (0.5.4-2) unstable; urgency=medium

  [ handsome_feng ]
  * debian/patches:
    + Add 1003_add-compile-warning-flags.patch. Add enable-compile-warnings
      to configure.ac. (Closes: #940164)

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/rules:
    + Use dh_missing override instead of dh_install --fail-missing.
    + Set --without autoreconf, handled by autogen.sh.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.
    + Update B-D python-libxslt1 -> python3-lxml. (Closes: #942913).
  * debian/patches:
    + Fix typo in 1003_add-compile-warning-flags.patch
    + Add 1004_py2to3_gtester2xunit.patch. Use python3 for gtester2xunit.py.
      Port libxml2/libxslt module usage to lxml module usage.
  * debian/bamfdaemon.install:
    + New file location for bamfdaemon and bamfdaemon-dbus-runner (libexec
      dir).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2019 10:33:50 +0100

bamf (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_allow-colon-separated-values-in-XDG-CURRENT-DESKTOP.patch,
           1001_autotools-pkg-config-macro-not-cross-compilation-safe.patch,
           2002_use-dbus-run-session-instead-of-dbus-launch.patch,
           2003_allow-gtk3-deprecated-symbols.patch.
     ... now applied upstream.
    + Rebase 2001_build-using-mate-common.patch.
    + Add 1001_remove-former-mono-macros.patch. Remove SHAMROCK_EXPAND_* macros
      from configure.ac.
    + Add 1002_spelling-fix.patch. Correctly spell the word "associated".
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/rules:
    + Stop using dpkg-parsechangelog.
  * debian/libbamf3-2.symbols:
    + Add Build-Depends-Package: meta-info field.
  * lintian: Silence complaint about /usr/share/applications being an empty dir
    in the bamfdaemon bin:pkg.
  * debian/bamfdaemon.triggers:
    + Explicitly mark triggers as -noawait triggers.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Nov 2018 21:59:45 +0100

bamf (0.5.3-3) unstable; urgency=medium

  * debian/copyright:
    + Use secure URI for copyright format.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Switch Maintainer: from Alioth's pkg-mate-team to debian-mate at
      lists.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
  * debian/{control,compat}: Bump DH compat level to version 11.
  * debian/patches:
    + Add 1001_autotools-pkg-config-macro-not-cross-compilation-safe.patch.
      Fix FTCBFS (lintian tag autotools-pkg-config-macro-not-cross-compilation-
      safe).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Jul 2018 23:08:26 +0200
