=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: bamf
 Section: libs
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Didier Roche <didrocks@ubuntu.com>,
 Build-Depends: dbus (>= 1.8),
-               debhelper (>= 9),
+               debhelper-compat (=12),
                gobject-introspection (>= 0.6.5-3),
                gtk-doc-tools,
                libgirepository1.0-dev,
@@ -14,13 +14,14 @@
                libgtop2-dev,
                libwnck-3-dev (>= 3.4.7),
                mate-common,
-               python-libxslt1,
+               python3-lxml,
                valac,
                xvfb,
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://launchpad.net/bamf
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/bamf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/bamf.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/bamf
+Vcs-Git: https://salsa.debian.org/debian-mate-team/bamf.git
 
 Package: bamfdaemon
 Architecture: any
