=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
-PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
+PKG   = $(DEB_SOURCE)
+UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
 DTYPE =
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
@@ -17,7 +17,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ $(DHFLAGS) --with gir
+	dh $@ $(DHFLAGS) --with gir --without autoreconf
 
 override_dh_auto_configure:
 	NOCONFIGURE=1 ./autogen.sh
@@ -31,8 +31,8 @@
 	find debian/tmp/usr/lib -name \*.la -exec rm {} \;
 	find debian/tmp/usr/lib -name \*.a -exec rm {} \;
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --package=bamfdaemon --dbgsym-migration='bamfdaemon-dbg (<< 0.5.3-1~)'
