## bamf 0.5.4.1

=== debian/changelog ===
bamf (0.5.4.1-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: bcdb06700d91e052487ee7140de9e9739011cfae']

 -- shuttle <shuttle@deepin.com>  Tue, 30 Jun 2020 17:58:46 +0000
