=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+repack//,repacksuffix=+repack \
https://launchpad.net/bamf/+download \
 https://launchpad.net/bamf/.*/bamf-([\d\.]+)@ARCHIVE_EXT@
